xtrs (4.9d-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Replace Build-Depends: bsdmainutils with bsdextrautils. (Closes: #1081669)
  * Replace html2text's -style option with -rcfile. (Closes: #1066954)

 -- Bastian Germann <bage@debian.org>  Fri, 13 Sep 2024 20:26:43 +0200

xtrs (4.9d-2) unstable; urgency=low

  * debian/control: Bump Standards-Version to 4.0.0.
    + Update debian/patches/make-plain-text-docs-from-html.patch and
      debian/patches/makefile-generate-pdf-manpages.patch to respect "nodoc"
      in DEB_BUILD_OPTIONS.

  * debian/rules: Set DEB_CFLAGS_MAINT_APPEND to "-Wall -Werror".  Set
    DEB_LDFLAGS_MAINT_APPEND to "-Wl,--as-needed".

  * debian/rules: Run upstream "check" target as part of our "check-binary"
    target.

  * debian/rules: Add "maintainer-clean" target to work around the fact that
    some of our patches cause new files to be created, and the package build
    unapplies all the patches without cleaning the build tree.

  * debian/control: Add link to upstream GitHub site in package description;
    thanks, Reiner Herrmann!  (Closes: #905584)
  * debian/control: Tweak English style in package description.

  * debian/README.source: Add material from the Debian Policy Manual's
    upgrading checklist to document my findings regarding this package's
    compliance with it.

  * debian/patches/stop-mkdisk-from-overflowing-buffers.patch:
    + Don't spuriously report test failures if $MKDISK is set to a non-default
      value.
  * debian/patches/ignore-alt-key-events.patch:
    + Update help window to stop documenting Alt key bindings.
  * debian/patches/map-f12-to-shifted-down-arrow.patch:
    + Update help window to document what F12 does now.
  * debian/patches/move-error.c-prototypes-to-new-error.h.patch:
    + Move diagnostic function prototypes into their own header.
  * debian/copyright: Add patch-created error.h file.
  * debian/patches/add-warning-diagnostic-function.patch:
    + A few places in the code were calling error() with "warning:" in the
      argument string, which looked weird.  Make a warn() function for these
      use cases.
  * debian/patches/fix-compiler-warnings.patch:
    + Fix clunky logic in unused variable warning suppression when neither
      SB_SOUND nor HAVE_OSS is #defined.  Don't bother specifying the
      signedness of the ints we use as booleans.  Move declaration of
      sb_address such that it is only present if either SB_SOUND and/or
      HAVE_OSS is #defined.  Add explanatory comment.  Actually throw a
      warning about lack of host system sound support for emulated cassette
      and sound ports only once each.  Don't bother zeroing sb_address after
      issuing said warning.
  * debian/patches/stop-mkdisk-from-overflowing-buffers.patch:
    + Update to resolve GCC 8's stringop-truncation warnings (which
      mysteriously do not appear with debian/rules-driven builds, just with
      manual "make"s).  Get rid of unneeded variable fname_truncated.  Use
      GCC pragmas to suppress remaining instance; add comment explaining that
      we know what we're doing, since we're writing to a static buffer inside
      a struct.
  * debian/patches/fix-stringop-truncation-warning.patch:
    + Issue warning diagnostic if the argument to cmddump -p is too long.
      Swap order of space-padding strncat and forced setting of pdsbuf[8] to a
      null byte.  This persuades GCC that we're ensuring pdsbuf has a string
      terminator.  Use '\0' instead of '\000' as null character escape.

 -- G. Branden Robinson <g.branden.robinson@gmail.com>  Wed, 15 Aug 2018 11:59:02 -0400

xtrs (4.9d-1) unstable; urgency=medium

  * Merge new upstream release.
    + "Deleted all SIGIO code.  The code was a kludge to begin with and it no
      longer worked with current X libraries and Linux kernels, causing xtrs
      to hang.  It was also reported to cause hangs when xtrs was compiled for
      Windows using Cygwin.  Thanks to Howard Pepper, Dennis Lovelady, Arumin
      Nueckel, Christopher Currie, and Joe Peterson for bug reports."

  * Patches to upstream:
    + trs_imp_exp.c: Turn on the "emtsafe" flag by default, preventing actions
      potentially harmful to the host environment (like removing the user's
      files or running shell commands) from being done within the emulator.
      - xtrs.man: Document the new default.
    + trs_xinterface.c: Protect potentially reckless setuid(getuid()) call
      with #ifdef SB_SOUND guard.  The call is no longer compiled.
    + trs_xinterface.c: Get rid of unused variable in help window display
      function.
    + trs_cassette.c: Squash unused variable warnings; add preprocessor
      guards to symbols used only when system support is available.  Work
      around dual usage of sb_address as a boolean (prefer SoundBlaster to
      OSS when both are available?) and a hardware address on x86.  Throw a
      warning the first time (each of) the cassette port or sound port is
      written to on systems where there is no supporting sound system for
      either.  Relocate some #if guards, and one static function so that there
      isn't a forward reference to it.  Rewrite a call to trs_orch90_out(0,
      FLUSH) to orch90_flush(FLUSH) (the former being exactly what
      orch90_flush() is defined as), which is how this forward reference was
      avoided before.  Add comment documenting why orch90_flush() takes an
      argument that it ignores.  (Closes: #642919)
    + z80.c: Hoist volatile dummy variable into file scope to silence GCC
      warning about variable being set but not used.
    + trs_memory.c: Explicitly declare int type on function arguments with
      implicit types.
      - trs_disk.c: Same.
    + trs_disk.c: Quieten compiler warning by saving the return value of
      fread(); conventional wisdom says you really shouldn't ignore the return
      value from fread(), but several functions in this file do so.
    + trs_keyboard.c: Don't catch Alt_L or Alt_R key events, since lots of
      window managers use them.
      - xtrs.man: Stop claiming mappings for Alt keys.
    + trs_keyboard.c: Map F12 to the TRS-80 shifted down-arrow key.
      - xtrs.man: Document that.
    + mkdisk.c: Fix buffer overflow when given filename >8 characters.
      Truncate filename by default when copying to hard disk image.  Add -S
      ("spill") flag to partially simulate old behavior.  Exit with error if
      filename argument would overflow even the subsequent structure member
      historically used by xtrs to store extra filename characters.
      - mkdisk.man: Document -S flag and related issues.
      - test-mkdisk.sh: New file; implement tests for overflow and new
        filename truncation and spillage logic.
      - Makefile: Add "check" target to run the foregoing test.  Nothing
        upstream calls this target automatically.
    + mkdisk.c: Check return value of fopen() when creating DMK disk image
      file.
    + mkdisk.c: Refuse to clobber files by default.  Add -f ("force") flag to
      override this behavior.
      - mkdisk.man: Document new behavior and -f flag.
      - test-mkdisk.sh: Test default no-clobber and -f flag behavior.
    + mkdisk.c: Document the -d option for hard disk images in usage message.
    + trs_xinterface.c: Write the key binding help to standard error if the
      emulator's X window is too small to hold it.
    + trs_xinterface.c, main.c: Convert the last users of fprintf(stderr, ...)
      to use the functions from error.c.
    + Makefile: Observe LDFLAGS when building internal "compile_rom" tool.
      Thanks to Graham Inggs for the discussion!  (Closes: #859751)
    + Makefile: Build with -std=c11.
      - cmddump.c: Port to C11.
      - debug.c: Same.
      - mkdisk.c: Same.
      - trs_cassette.c: Same.
      - trs_disk.c: Same.
      - trs_imp_exp.c: Same.
      - trs_interrupt.c: Same.
      - trs_uart.c: Same.
      - trs_xinterface.c: Same.
    + xtrs.man: Reformat and tweak style of manual page to attempt to more
      closely follow the conventions set down in man-pages(7), groff_man(7),
      and groff(7).
      - cassette.man, cmddump.man, hex2cmd.man, mkdisk.man: Same.
    + Makefile: Generate and install PDF versions of man pages.
      - debian/xtrs.docs: Ship them, too.
      - debian/control: Promote groff-base build-dependency to full groff, for
        gropdf.
  * Export Debian build flags to environment.  Executables are now hardened
    per < https://wiki.debian.org/Hardening >.
  * Add Turkish debconf template translations; thanks, Mert Dirik!
    (Closes: #757864)
  * Add Dutch debconf template translations; thanks, Frans Spiesschaert!
    (Closes: #767488)
  * Add Indonesian debconf template translations; thanks, Izharul Haq!
    (Closes: #835622)
  * Update README.Debian to refresh URLs and reflect developments in the
    TRS-80 retrocomputing enthusiast community over the past several years.
  * Implement debian/compare-copyright script.
    + Add "check-source" target to debian/rules to call the script.
    + Add debian/{no-,}copyright-info.expected files.
  * Migrate former contents of debian/checklist to debian/README.source.
  * Rewrite debian/copyright using machine-readable copyright info.
  * Migrate to new (to me) quilt-based Debian source format 3.0.
    + Drop patches now merged upstream.
  * Migrate former contents of debian/README.contrib-only to Disclaimer field
    of debian/copyright, and update discussion.
  * Stop shipping Tim Mann's TRS-80 FAQ document.  It's great, but strictly
    speaking, it doesn't carry a license, I don't want to pester him to put
    one on it, and in any event it updates much more frequently than the xtrs
    software itself.  Finally, I trust people to do web searches, and
    archive.org to stick around, more now than I did 19 years ago.
  * Write doc-base descriptions for the supplementary documentation in
    /usr/share/doc/xtrs.
  * Add check-binary target to debian/rules to aid regression testing.
  * Thanks to Christian Perrier, Hector Oron, Cyril Brulebois, and
    YunQiang Su for taking care of this package during my long absence.

 -- G. Branden Robinson <g.branden.robinson@gmail.com>  Wed, 08 Aug 2018 03:21:44 -0400

xtrs (4.9c-4) unstable; urgency=medium

  * Makefile: Undefine HAVE_SIGIO.  (Closes: #511645)
  * Update Maintainer full name and email address from the "old me" to the
    "new me".

 -- G. Branden Robinson <g.branden.robinson@gmail.com>  Thu, 30 Mar 2017 09:20:32 -0400

xtrs (4.9c-3.5) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix function declare: type of 'state' defaults to 'int'
     [-Werror=implicit-int] (Closes: #798765)

 -- YunQiang Su <syq@debian.org>  Mon, 19 Oct 2015 01:22:15 +0800

xtrs (4.9c-3.4) unstable; urgency=low

  * Non-maintainer upload.
  * Work around the FTBFS on sparc (due to REG_PC conflicting with
    architecture-specific defines) by renaming all REG_* into reg_*
    (Closes: #650815).

 -- Cyril Brulebois <kibi@debian.org>  Fri, 17 Feb 2012 15:43:47 +0000

xtrs (4.9c-3.3) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "replacing libreadline5-dev build dependency with libreadline-
    dev" (Closes: #553884)
  * Build using -Wno-error=unused-but-set-variable.
  * debian/rules: use DEB_HOST_ARCH_ENDIAN to guess host endianness.

 -- Hector Oron <zumbi@debian.org>  Sun, 18 Sep 2011 22:31:19 +0000

xtrs (4.9c-3.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Italian (Vincenzo Campanella).  Closes: #575101

 -- Christian Perrier <bubulle@debian.org>  Tue, 25 May 2010 06:55:54 +0200

xtrs (4.9c-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Use the correct versioned dependency on debhelper (>= 5)
  * Drop x-dev from build dependencies
  * Fix pending l10n issues. Debconf translations:
    - Galician (Marce Villarino).  Closes: #537431
    - Vietnamese (Clytie Siddall).  Closes: #574432

 -- Christian Perrier <bubulle@debian.org>  Mon, 22 Mar 2010 00:46:12 +0100

xtrs (4.9c-3) unstable; urgency=low

  * Update my copyright notice in debian/copyright since I wrote the help
    window patch this year.
  * Update architecture-detection logic to use a more modern interface to
    dpkg-architecture and recognize armeb.  Thanks, Riku Voipio!
    (Closes: #480129)

 -- Branden Robinson <branden@debian.org>  Mon, 12 May 2008 02:36:30 -0400

xtrs (4.9c-2) unstable; urgency=low

  * When handling X Enter and Leave events, track which one we handled
    previously, and fake a Leave event before handling an Enter if the
    previous of these two events was also an Enter.  This prevents the global
    autorepeat from getting wrongly kept off when two Enter events are seen in
    a row, as can happen when the unclutter X client is used.
  * Add Portuguese debconf template translations; thanks, Américo Monteiro!
    (Closes: #437302)
  * Update TRS-80 FAQ to be based on Tim Mann's version 1.59 (2007-02-21).
  * Implement an overlay window that summarizes the first few paragraphs of
    keyboard usage information from the manpage; F11 toggles the window on and
    off.  Update the xtrs(1) manpage to mention this feature.
  * Patch Makefile.local to not explicitly link against ncurses, which is only
    used indirectly via GNU readline (brought to light by the new
    symbols-aware dpkg-shlibdeps).
  * Increment debhelper compatibility level to 5.
  * Update README.Debian and README.contrib-only.
  * Fix debian/rules to stop ignoring errors from "$(MAKE) clean" (he noted
    wryly, in light of who filed #325372--though in fairness this package
    doesn't use GNU Automake).
  * Update Debian menu section to "Applications/Emulators" per new Debian Menu
    Policy.
  * Stop shipping useless empty directory /usr/lib/menu.
  * Increment Standards-Version to 3.7.3.

 -- Branden Robinson <branden@debian.org>  Thu, 07 Feb 2008 00:09:13 -0500

xtrs (4.9c-1) unstable; urgency=low

  * Merge upstream 4.9c release.
    + Fix the new -e command-line option to IMPORT/CMD and EXPORT/CMD to
      actually work.
  * Fix non-ASCII character in Debian changelog entry for previous release.
  * Update Japanese debconf template translations to remove period from the
    end of the title of the debconf note, for consistency with the other
    translations.  Thanks to Kenshi Muto for his consulation on this issue.
  * Scale back the .hex file mtime update fix in debian/rules to just
    fakerom.hex and xtrsrom4p.hex, as in the new upstream release only these
    files are affected.

 -- Branden Robinson <branden@debian.org>  Mon, 15 May 2006 01:21:50 -0400

xtrs (4.9b-1) unstable; urgency=low

  * Merge upstream 4.9b release.
    + Bundle Roland Gerlach's CP/M utilties for xtrs and corresponding
      documentation.
    + Add -emtsafe command-line option to xtrs to prevent emulator traps from
      writing to unexpected places in the host filesystem.  Use this flag if
      you believe your xtrs instances may run malicious code aware of xtrs's
      traps within the emulator.
    + Add -e command-line option to the IMPORT/CMD and EXPORT/CMD utilities.
      Use this flag if your TRS-80 operating system uses the NEWDOS/80
      convention for representing the ending record number in an open file
      control block, and this fact is not autodetected by the emulator.
    + Drop old method of importing/exporting files from the host filesystem
      using fake I/O ports.  IMPORT/BAS and EXPORT/BAS are no longer provided.
    + Merge Debian patches by Branden Robinson to add watchpoints and the
      zbxinfo command to the debugger, and make miscellaneous cleanups.
    + Merge Debian patches by Andreas Jochens to make signed/unsigned casts
      where appropriate.
  * Update CP/M utility disk documentation to point Debian users to the
    locally installed copy of the disk in /usr/lib/xtrs.
  * Drop patches to debug.c, trs_imp_exp.c, trs_cassette.c, and z80.c from
    debian/patches, as they have been merged upstream.
  * Update TRS-80 FAQ to be based on Tim Mann's version 1.58 (2006-04-22).
    + Update URLs to various TRS-80 resources.
  * Fix grammar errors in package description and remove statement claiming
    instructions on retrieving ROM images are available in the package.  This
    is no longer true, as I know of no active site offering them for download.
  * Update debian/rules to touch the mtimes on the assembled .hex files before
    invoking Make on the upstream sources; when Tim Mann renamed the Z-80
    assembly sources from ".z" to ".z80", their mtimes got updated and
    therefore Make thinks the .hex files need to be remade, using the zmac
    assembler, which is not widely available.  This is hopefully a temporary
    kludge, and the timestamps will be fixed in the next xtrs release.
  * Add empty, phony binary-indep target to debian/rules to keep lintian
    happy.
  * Remove period from title of debconf note template, per squawking from
    lintian about section 6.5.4.2.4 of the Developers' Reference.  I went
    ahead and updated the po files for cs, da, de, es, fr, pt_BR, ru, and sv
    (Czech, Danish, German, Spanish, French, Brazilian Portuguese, Russian,
    and Swedish) and un-fuzzied them, on the wild assumption that periods
    don't belong in titles in those languages either.  I left Japanese alone
    because I do not understand its grammar and because I do not know what a
    Japanese period looks like.  Japanese translators, please consider
    un-fuzzing this translation with an appropriate update, and send a patch
    to the BTS.
  * Increment Standards-Version to 3.7.2; no changes necessary.

 -- Branden Robinson <branden@debian.org>  Sun, 14 May 2006 01:07:16 -0400

xtrs (4.9a-2) unstable; urgency=low

  * Update README.Debian to stop documenting now-defunct site where Model I
    and Model III ROM images can  be obtained.  Also migrate /usr/doc
    references to /usr/share/doc.
  * Update comment in z80.c to make it more legible (submitted upstream).
  * Tweak zbx debugger UI (submitted upstream):
    + Report maximum number of traps when user tries to set too many.
    + Inform user of existence of "help" command when entering debugger.
    + Implement "zbxinfo" command, which credits authors, reports number of
      traps set, size of address space, maximum length of zbx command line,
      and whether GNU Readline support is enabled.  Document existence of
      "zbxinfo" command in help output.
    + Kill off hard tab in help output.
  * Implement "watch" command in zbx debugger, providing the ability to set
    watchpoints on addresses in memory (submitted upstream).
  * Add upstream location of TRS-80 FAQ to Debian copyright file.
  * Update TRS-80 FAQ to be based on Tim Mann's version 1.57 (2005-09-17).
    + Update question 14: What are the differences among single, double, quad,
      and high density floppy media?
    + Add question 26: How can I read the back of a disk that was written in a
      flippy drive?
  * Add Czech debconf template translations; thanks, Katarína "Bubli"
    Machálková!  (Closes: #319855)
  * Add Swedish debconf template translations; thanks, Daniel Nylander!
    (Closes: #330443)
  * Bump Debian standards version to 3.6.2; no changes needed.

 -- Branden Robinson <branden@debian.org>  Sat,  5 Nov 2005 11:42:38 -0500

xtrs (4.9a-1) unstable; urgency=low

  * Package new upstream version.
  * Update copyright file to reflect new upstream archive and copyright notice
    for Debian modifications.  I never signed a written instrument assigning
    copyright in my changes to Software in the Public Interest, Inc., so under
    my understanding of U.S. law, the copyright remains with me.
  * Update TRS-80 FAQ to be based on Tim Mann's version 1.53 (2005-04-07).

 -- Branden Robinson <branden@debian.org>  Fri, 29 Apr 2005 23:51:58 -0500

xtrs (4.9-5) unstable; urgency=low

  * Actually apply the patches in debian/patches, which were neglected in the
    4.9-4 release.
  * Add recognition of amd64 and ppc64 architectures in debian/rules (thanks,
    Andreas Jochens).
  * Update build-dependency on libreadline4-dev (>= 4.1) to libreadline5-dev.
    Thanks to Andreas Jochens for pointing this out.
  * Apply patch from Andreas Jochens to fix compilation errors on AMD64
    by adding more explicit casts.  (Closes: #288767)

 -- Branden Robinson <branden@debian.org>  Thu, 13 Jan 2005 18:51:57 -0500

xtrs (4.9-4) unstable; urgency=low

  * Transcode changelog to UTF-8.
  * Modernify comments and metadata in templates.pot.
  * Modernize comments and metadata in existing po files.
  * Re-run debconf-update po on existing po files (this recoded them to UTF-8,
    reflowed the text, and made some other cosmetic fixes).
  * Add Japanese debconf template translations (thanks, Hideki Yamane).
    (Closes: #264120)
  * Add Danish debconf template translations (thanks, Morten Bo Johansen).
    (Closes: #285963)
  * Update TRS-80 FAQ to be based on Tim Mann's version 1.50 (2004/12/06).
  * Rename plain text documentation to use an extension of ".txt" instead of
    ".text".
  * Tidy up style of debian/rules file.
  * Migrate from using dh_installmanpages to dh_installman in debian/rules.
  * Bump Standards-Version to 3.6.1; changelog already recoded per above -- no
    other changes necessary.
  * Quote strings in Debian menu data fields (per Lintian).  Reflow menu data.
  * Replace build-dependency on dummy package xlibs-dev with
    build-dependencies on libx11-dev and x-dev.

 -- Branden Robinson <branden@debian.org>  Fri, 24 Dec 2004 22:51:10 -0500

xtrs (4.9-3) unstable; urgency=low

  * debian/compat: put debhelper compatibility delcaration in this file, as
    recommended by debhelper(7)
  * debian/control:
    - Standards-Version bumped to 3.5.9
    - replace hard-coded dependency on debconf with ${misc:Depends} per
      debhelper(7)
  * debian/po/fr.po: add French debconf template translations (thanks, Pierre
    Machard) (Closes: #168252)
  * debian/po/pt_BR.po: add Brazilian Portuguese debconf template translations
    (thanks, Andre Luis Lopes) (Closes: #179518)
  * debian/rules: remove DH_COMPAT delcaration in favor of debian/compat,
    above
  * debian/trs80faq.html: update to revision 1.45

 -- Branden Robinson <branden@debian.org>  Tue, 29 Apr 2003 00:24:56 -0500

xtrs (4.9-2) unstable; urgency=low

  * debian/control:
    - added build dependency on po-debconf and increment versioned build
      dependency on debhelper to (>= 4.1.16)
    - bumped Standards-Version to 3.5.7
  * debian/copyright: cosmetic fixes
  * debian/patches: drop patch to Makefile.local; set DEBUG and PREFIX
    variables via debian/rules instead
  * debian/{po/,templates*}: coverted to po-debconf
  * debian/rules:
    - bump DH_COMPAT to 4
    - drop "sh" and "sheb" as recongized Debian architectures; add "sh3" and
      "sh4"
    - support "noopt" in DEB_BUILD_OPTIONS
    - minor changes for debhelper 4.x
    - pass -Wall, -Werror, and -D_REENTRANT as DEBUG flags to upstream make
    - pass PREFIX=/usr to upstream make
  * debian/trs80faq.html: update to revision 1.43

 -- Branden Robinson <branden@debian.org>  Thu, 24 Oct 2002 22:06:01 -0500

xtrs (4.9-1) unstable; urgency=low

  * new upstream version
    + added -iconic option
    + support more sample formats when doing I/O on /dev/dsp, because not all
      sound hardware supports 8-bit formats
    + support T-state waiting before raising DRQ after Read or Read Address
      commands on real floppy drives, not just image files
    + support setting of track and sector registers on a Read Address to the
      values read from the ID field on floppy image files, not just real
      drives
    + bugfixes and documentation updates
  * debian/copyright: updated
  * debian/trs80faq.html: latest version (1.37) from Tim Mann's website
  * debian/rules: README.tpm no longer exists in upstream distribution; stop
    trying to ship it

 -- Branden Robinson <branden@debian.org>  Sun, 19 May 2002 01:35:01 -0500

xtrs (4.8-2) unstable; urgency=low

  * debian/README.Debian: update Tim Mann's website URL (Closes: #130498)
  * debian/templates.ru: added Russian template translation (thanks, Ilgiz
    Kalmetev) (Closes: #137705)
  * debian/trs80faq.html: latest version (21 Mar) from Tim Mann's website

 -- Branden Robinson <branden@debian.org>  Sat, 23 Mar 2002 02:43:52 -0500

xtrs (4.8-1) unstable; urgency=low

  * new upstream version
    + fix for untimely flushing of output to X server
    + added heuristic to flush key transition queue if emulated keyboard not
      polled often enough
  * debian/copyright: updated
  * debian/patches: removed a patch that is now upstream

 -- Branden Robinson <branden@debian.org>  Fri, 31 Aug 2001 17:33:18 -0500

xtrs (4.7-4) unstable; urgency=low

  * debian/templates.es: added Spanish translation of debconf templates
    (thanks, Carlos Valdivia Yagüe) (Closes: #106368)

 -- Branden Robinson <branden@debian.org>  Tue, 31 Jul 2001 05:09:00 -0500

xtrs (4.7-3) unstable; urgency=low

  * debian/templates.de: added German translation of debconf templates
    (thanks, Michael Bramer) (Closes: #106212)

 -- Branden Robinson <branden@debian.org>  Sun, 22 Jul 2001 15:46:22 -0500

xtrs (4.7-2) unstable; urgency=low

  * Makefile.local: add -Werror to compile flags since xtrs compiles silently
    under -Wall on i386
  * debian/rules:
    - added endianness info for sh and sheb architectures (Closes: #105682)
    - reworded unknown endianness error message
    - added all to dh_installdebconf
  * debian/control
    - added dependency on debconf
    - minor rewording in extended description
  * debian/{config,templates}: wrote a debconf question to discuss the
    required ROM/OS issue
  * debian/{postrm,prerm}: removed these since they did nothing
    significant that debhelper won't automatically generate

 -- Branden Robinson <branden@debian.org>  Sat, 21 Jul 2001 00:04:23 -0500

xtrs (4.7-1) unstable; urgency=low

  * new upstream version
    + improved the keyboard handling and a few other minor tweaks and fixes
  * debian/rules: add endianness info for hppa, hurd-i386, mips, mipsel, and
    s390
  * debian/trs80faq.html: latest version (28 Jun) from Tim Mann's website

 -- Branden Robinson <branden@debian.org>  Sat, 14 Jul 2001 01:28:22 -0500

xtrs (4.5a-2) unstable; urgency=low

  * debian/rules: identified ia64 as a little-endian architecture

 -- Branden Robinson <branden@debian.org>  Thu, 12 Jul 2001 17:30:06 -0500

xtrs (4.5a-1) unstable; urgency=low

  * new upstream version
    + fixes for manpage and Makefile typos
  * debian/control:
    - add groff to Build-Depends (Closes: #96548)
    - bumped Standards-Version to 3.5.4 (no changes required)
  * debian/patches: fixes to Makefile and xtrs.man applied upstream
  * debian/rules: use html2text instead of lynx

 -- Branden Robinson <branden@debian.org>  Thu, 10 May 2001 22:56:24 -0500

xtrs (4.5-1) unstable; urgency=low

  * new upstream version
    + completes the emulation of undocumented Z-80 instructions and has
      several other small improvements
  * cmddump.man, hex2dump.man: manpages now upstream
  * debian/trs80faq.html: latest version from Tim Mann's website

 -- Branden Robinson <branden@debian.org>  Sat,  5 May 2001 01:01:56 -0500

xtrs (4.4-1) unstable; urgency=low

  * new upstream version
    + adds emulation of the Alpha Products joystick (using keys on the
      numeric pad) and several other small changes
  * cmddump.man, hex2dump.man: wrote these manual pages
  * debian/control:
    - updated extended description
    - changed build dependency on xlib6g-dev to xlibs-dev
    - bumped Standards-Version to 3.5.2 (no changes needed)
  * debian/rules: remove dh_undocumented call; there are no more
    undocumented commands
  * debian/trs80faq.html: latest version from Tim Mann's website

 -- Branden Robinson <branden@debian.org>  Thu, 22 Feb 2001 23:23:10 -0500

xtrs (4.3-1) unstable; urgency=low

  * new upstream version
    + emulation of the serial port
    + emulation of the Radio Shack and Micro Labs hi-res graphics cards for
      the Model III
    + misc. bugfixes
  * debian/control: updated extended description
  * debian/trs80faq.html: new upstream version (21 Jul 2000)

 -- Branden Robinson <branden@debian.org>  Sat, 22 Jul 2000 18:35:03 -0500

xtrs (4.2-1) unstable; urgency=low

  * new upstream version
    + emulation of the Model I HRG1B 384*192 graphics card
    + the -scale command line option now allows independent scaling in the
      X and Y dimensions
    + misc. bugfixes
  * debian/control: fixed some wording in extended description
  * debian/trs80faq.html: new upstream version (22 Jun 2000)

 -- Branden Robinson <branden@debian.org>  Sat,  1 Jul 2000 14:04:18 -0500

xtrs (4.1-2) unstable; urgency=low

  * debian/rules: be sure to build big-endian on big-endian architectures

 -- Branden Robinson <branden@debian.org>  Sat,  3 Jun 2000 16:26:17 -0400

xtrs (4.1-1) unstable; urgency=low

  * new upstream version
    + Added emulation of real Radio Shack hard drive controllers (WD1010).
    + F9 will now get you into the debugger (zbx) even if you didn't start
      xtrs with the -debug flag.
    + misc. bugfixes
  * migrated Debian changes from previous versions forward
  * debian/README.contrib-only: minor clarification
  * debian/checklist: file for my own use reminding me what I need to
    update whenever a new upstream version is released
  * debian/control: added libncurses5-dev, libreadline4-dev (>= 4.1), and
    xlib6g-dev (>= 3.3.6-4) to Build-Depends
  * debian/copyright: religiously follow policy 6.6
  * debian/patches: our patches to upstream; these are NOT automatically
    applied by the build process
  * debian/trs80faq.html: new upstream version

 -- Branden Robinson <branden@debian.org>  Sun, 21 May 2000 03:46:53 -0400

xtrs (4.0-1) unstable; urgency=low

  * the "it's X* 4.0, but not the one you thought! ha ha ha ha ha" release
  * new upstream version
    + added emulation of software-switchable Model I 3.54MHz clock speedup
      kit
    + added emulation of Orchestra-85 and Orchestra-90 sound hardware
    + added emulation of TimeDate80, TChron1, TRSWatch, and T-Timer
      battery-powered clocks (not Y2K tested :) )
    + added -scale option
    + added support for Level I BASIC .cas files
    + changed -samplerate default to 44.1kHz
    + updated documentation of EXPORT.COM in xtrs manpage (should have been
      in 3.9)
    + fixed bug in switching between 80x24 and 64x16 modes when invoked
      with -usefont options
    + worked around X event race when invoking with -resize
    + fixed obscure bugs in Model 4 hi-res graphics card emulation
    + fixed bug that sometimes causes F10 reboot to hang the emulator until
      the next X event is received
    + worked around problem that kept Level II BASIC from being able to
      read .cas files
  * migrated Debian changes from previous versions forward
  * debian/control: updated package description
  * debian/README.Debian: updated

 -- Branden Robinson <branden@debian.org>  Tue,  4 Apr 2000 04:55:53 -0400

xtrs (3.9a-1) unstable; urgency=low

  * new upstream version
    + Fixed a bug in the GENIE support and added one more GENIE feature:
      printer interface at port 0xFD.
  * Makefile: don't generate deroffed manpages in default rule
  * trs_keyboard.c: don't catch Alt_L or Alt_R key events, since lots of
    window managers use them
  * xtrs.man:
    - documented usage of Meta instead of Alt keys (emulator already used
      Alt and Meta keys for the same thing)
    - undocumented usage of Home as "right-shift" key for Model I (emulator
      had already disposed of this)
  * debian/control: added Build-Depends
  * debian/copyright: updated
  * debian/trs80faq.html: new upstream version

 -- Branden Robinson <branden@debian.org>  Sat,  4 Dec 1999 17:57:50 -0500

xtrs (3.9-1) unstable; urgency=low

  * new upstream version
    + important fixes to sound support for recent Linux kernels
    + supports GENIE, German Model I clone
    + provides latest CP/M utility disk
    + merged almost all Debian patches from 3.8-1
  * Makefile.local:
    - turn on -Wall
    - set PREFIX and MANDIR to Debian-preferred values
  * cassette.man: remove paragraph about C-shell and Bourne versions
  * debian/README.{Debian,contrib-only}: minor rewordings
  * debian/control:
    - bumped the standards version to 3.1.1
    - tweaked some awkward English in the description
  * debian/copyright: updated
  * debian/rules:
    - also ship cpmutil.dsk
    - ship Bourne version of cassette shell script
  * debian/trs80faq.html: new version

 -- Branden Robinson <branden@debian.org>  Sun, 28 Nov 1999 01:46:32 -0500

xtrs (3.8-2) unstable; urgency=low

  * debian/control: rewrote extended description
  * debian/rules: ship text versions of HTML documents, per new policy

 -- Branden Robinson <branden@debian.org>  Wed, 10 Nov 1999 21:36:59 -0500

xtrs (3.8-1) unstable; urgency=low

  * New upstream version.  There have been quite a few since I last
    released.  Sorry about that.  XFree86 is a harsh mistress.
  * Policy 3.0.1 compliant and lintian-clean.
  * The TRS-80 fonts are now hard-coded into the binary and no longer
    available as X fonts.
  * Moved place where xtrs looks for ROM files.  See
    /usr/share/doc/xtrs/README.Debian.
  * Provide utility disk image in /usr/lib/xtrs. (Not shipping cpmutil.dsk
    as upstream author says it is outdated.)
  * Ship disk specification HTML document.
  * Updated TRS-80 FAQ HTML document.
  * Updated copyright notice.
  * Moved binary and manpage out of X11 directories.
  * main.c: canonicalize program_name here, not in trs_xinterface.c, so
    that error messages are consistent
  * Makefile:
    - clean rule deletes compile_rom binary, and keeps deroffed manpages
    - veryclean rule deletes deroffed manpages
    - use Debian-canonical file modes when installing
    - install cmddump, hex2cmd, and mkdisk
  * Makefile.local:
    - compile-in expected paths for ROM files
    - build using readline and ncurses (for zbx internal debugger)
    - Debian-canonical flags to cc
    - LDFLAGS and IFLAGS that make sense with our X directories
    - create a PREFIX variable that gets prepended to BINDIR and MANDIR
  * trs_xinterface.c:
    - remove canonicalization of program_name, this is now in main.c
    - change logic for finding ROM files; check command line options, X
      resources, compiled-in path to ROM files, then finally fall back on a
      built-in ROM image
  * debian/README.Debian: minor factual and stylistic updates
  * debian/README.contrib-ony: elaborated on a couple of things
  * debian/control:
    - remove suggests: c-shell
    - remove discussion of c-shell requirement in description
  * debian/cassette.sh: rewrote Tim Mann's csh cassette script in Bourne;
    since his script made heavy use of array variables, this was a lot of
    fun :-P
  * debian/menu: updated menu entry to reflect moved binary

 -- Branden Robinson <branden@debian.org>  Sat,  6 Nov 1999 19:58:54 -0500

xtrs (2.6-2) unstable; urgency=low

  * debian/control: tweaked normal and extended descriptions
  * debian/menu: deleted space to make lintian happy

 -- Branden Robinson <branden@debian.org>  Sun, 18 Oct 1998 15:36:44 -0400

xtrs (2.6-1) unstable; urgency=low

  * new upstream release

 -- Branden Robinson <branden@debian.org>  Sat, 17 Oct 1998 17:46:21 -0400

xtrs (2.4-1) unstable; urgency=low

  * new upstream release -- 2.3 was only out for a few hours, so this time
    it wasn't my fault

 -- Branden Robinson <branden@debian.org>  Thu, 15 Oct 1998 01:42:58 -0400

xtrs (2.2-1) unstable; urgency=low

  * new upstream release -- I missed 1.10, 2.0, and 2.1, which had some
    nifty new features.
  * The upstream author (Tim Mann) did not provide an upstream changelog
    entry for version 2.2, but here is what I could gather from a diff -u:
    - tweaked autodelay code in trs_interrupt.c
    - added "Running games" section to manpage and corrected some typos

 -- Branden Robinson <branden@debian.org>  Thu, 1 Oct 1998 07:01:16 -0400

xtrs (1.9-4) frozen unstable; urgency=low

  * fixed typo in Makefile (thanks, Roland Gerlach)
  * created README.contrib-only in expectation of forthcoming policy
  * restored upstream author's manpage nomenclature

 -- Branden Robinson <branden@debian.org>  Wed, 15 Apr 1998 10:13:25 -0500

xtrs (1.9-3) unstable; urgency=low

  * edits and additions to README.Debian
  * wrote TODO.Debian
  * edited package description

 -- Branden Robinson <branden@debian.org>  Tue, 17 Mar 1998 14:30:45 -0500

xtrs (1.9-2) unstable; urgency=low

  * fixed typo in /usr/lib/menu/xtrs
  * tweaked package description
  * tweaked postinst and prerm in staggeringly insignificant ways

 -- Branden Robinson <branden@debian.org>  Thu, 5 Mar 1998 16:34:08 -0500

xtrs (1.9-1) unstable; urgency=low

  * initial release

 -- Branden Robinson <branden@debian.org>  Thu, 5 Mar 1998 12:09:45 -0500

# vim:set ai et sw=2 ts=2 tw=78:
